package com.nantian.cloud.dbcapp.carbon.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.carbon.domain.ent.InstrumentInfo;
import com.nantian.cloud.dbcapp.carbon.mapper.InstrumentInfoDao;
import com.nantian.cloud.dbcapp.carbon.service.InstrumentInfoService;

import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 计量器具信息 服务实现类
 * </p>
 *
 * @author wujing
 * @since 2022-09-28
 */
@Service
public class InstrumentInfoServiceImpl extends ServiceImpl<InstrumentInfoDao, InstrumentInfo> implements InstrumentInfoService {



    @Override
    public List<InstrumentInfo> selectByEntId(String entCode) {
        return baseMapper.selectByEntId(entCode);
    }

    @Override
    public InstrumentInfo selectById(String entCode,Integer id) {
        return baseMapper.selectById(entCode,id);
    }

    @Override
    public IPage<InstrumentInfo> getList(Page page, InstrumentInfo instrumentInfo) {
        return baseMapper.getList(page,instrumentInfo);
    }

    @Override
    public List<InstrumentInfo> listAll( InstrumentInfo instrumentInfo) {
        return baseMapper.listAll(instrumentInfo);
    }

    @Override
    public int saveInfo( InstrumentInfo instrumentInfo) {
        return baseMapper.saveInfo(instrumentInfo);
    }

    @Override
    public int updateInfoById( InstrumentInfo instrumentInfo) {
        return baseMapper.updateInfoById(instrumentInfo);
    }




}
